<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use \App\Models\{Trazabilidad};

class TrazabilidadController extends Controller
{
    public function index()
    {
        return Trazabilidad::get();
    }

    public function create() { }

    public function store(Request $request)
    {
        $item = new Trazabilidad;
        $item->name = $request->name;
        $item->description = $request->description;
        $item->valor = $request->valor;
        $item->valor_usd = $request->valor_usd;
        $item->unidad = $request->unidad;        
        $item->save();

        return ['status' => 'succes', 'data' => $item];
    }

    public function show($id) { }

    public function edit($id) { }
    
    public function update(Request $request, $id)
    {
        $item = Trazabilidad::find($id);

        $item->name = $request->name;
        $item->description = $request->description;
        $item->valor = $request->valor;
        $item->valor_usd = $request->valor_usd;
        $item->unidad = $request->unidad;
        $item->save();

        return ['status' => 'succes', 'data' => $item];
    }

    public function destroy($id)
    {
        $item = Trazabilidad::find($id);
        $item->delete();
        return ['status' => 'succes', 'data' => $item];
    }
    
}
